aboutsummaryrefslogtreecommitdiffstats
path: root/extra/db/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-31 15:20:14 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-31 15:20:14 +0000
commit73ccd8e83c26f7082bb2a4594f3887d482a8b71a (patch)
tree3736b2f79963accaed28253c1e224bc84247a199 /extra/db/APKBUILD
parent4fb36e68906b5c78f79942d7b7df78622d009dbb (diff)
downloadaports-73ccd8e83c26f7082bb2a4594f3887d482a8b71a.tar.bz2
aports-73ccd8e83c26f7082bb2a4594f3887d482a8b71a.tar.xz
extra/db: new aport
The Berkeley DB embedded database system http://www.oracle.com/technology/software/products/berkeley-db/index.html
Diffstat (limited to 'extra/db/APKBUILD')
-rw-r--r--extra/db/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/extra/db/APKBUILD b/extra/db/APKBUILD
new file mode 100644
index 0000000000..bc4c67dbe5
--- /dev/null
+++ b/extra/db/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=db
+pkgver=4.7.25
+pkgrel=0
+pkgdesc="The Berkeley DB embedded database system"
+url="http://www.oracle.com/technology/software/products/berkeley-db/index.html"
+license="custom"
+depends="uclibc"
+makedepends=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://download-uk.oracle.com/berkeley-$pkgname/$pkgname-$pkgver.tar.gz"
+
+build () {
+ cd "$srcdir/$pkgname-$pkgver"/build_unix
+
+ ../dist/configure --prefix=/usr \
+ --enable-compat185 \
+ --enable-shared \
+ --enable-static \
+ --disable-cxx
+
+ make LIBSO_LIBS=-lpthread || return 1
+ make DESTDIR="$pkgdir" install
+
+ mkdir -p "$pkgdir"/usr/share/doc
+ mv "$pkgdir"/usr/docs "$pkgdir"/usr/share/doc/$pkgname
+
+ install -m644 -D "$srcdir"/$pkgname-$pkgver/LICENSE \
+ "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+md5sums="ec2b87e833779681a0c3a814aa71359e db-4.7.25.tar.gz"